Untitled Document

Reaction Simulator

Simulator is a program which tries to simulate simple organic reactions & tell the IUPAC name of an Organic Compound.

This software is made mainly targeting the G.C.E A/L Syllabus. So anything irrelevant with the Syllabus is not present here. You can go to ‘Supporting reactions' page to learn more about this. You are allowed to work only with aliphatic organic compounds here; and aromatic compounds are still not supported. So whenever Loops exist Software will warn you to correct them.

This is still in its version1. So it is not guaranteed that simulated result is always accurate. But most of the times, this (regarding things widely used) gives the perfect result.

This is designed to be user friendly as far as possible. So the student who likes to study Organic Chemistry doesn't need to spend much of time to be familiar with the software. Following pages will guide you some of the clues to handle this.

  • Main Window
  • Editor Window


Editor

home

Drawing Elements

• Click the element you want to draw from the side bar. Check the element selected.

• Click the canvas you want to place it.

• To place that element more times, just click where you want.

• To draw another type of element select it from side bar and follow the same procedure.

Drawing Bonds

• First place element(s) (at least one) in the canvas.

• Click the bond type from the sidebar. (single, double, triple) Check the bond selected as you click it.

• To draw bond from A to B points in the canvas. Press Mouse over point A and drag it and release mouse over point B.

• You have to aware of following rules when you are drawing a bond.

• Bond must start from an element. (But it could be ended anywhere)

• Bond shouldn't start from elements which have reached their maximum number of Bonds connected with them.

Replacing Items (Elements/ Bonds)

• Just try to place new element/bond over the old one and it will get replaced.

• When you replacing elements, please be aware that if the old element connected with ‘n' number of bonds, the maximum number of bonds that can connected with new element shouldn't exceed the number ‘n'. (You will get a warning message as you try to do it)

Selecting Items/Area

• Click the ‘Item selection' tool.

• Click over the items (Elements/Bonds) in the canvas. Check they are highlighted.

• To do multiple selection click items pressing ‘ctrl' key.

• To deselect follow the same procedure again.

• You can do an area selection in the canvas by selecting the ‘Area Selection' tool and dragging over the desired area. Selected Items are highlighted….

• You can select Items when the ‘Item Selection' or ‘Area Selection' tools are selected only.

Moving Items

• First select the items you want to move. (Following the procedure described in Selecting Items/Area section).

• Select the ‘Move Selection' tool.

• Drag the distance and the direction you want to move Items in the canvas.

Deleting Items

• First select the items you want to delete. (Following the procedure described in Selecting Items/Area section).

• Select the ‘Delete Selection' tool.

Returning

• Return to the main window by clicking ‘Return!'

• Return only happen only if the following conditions are true.

• There is at least one element

• There is at least one Carbon element.

• There are no isolated elements.

• There are no loops.

• If you leave open one side of a bond then it will automatically closed with following elements

• For Single Bond –H (If connected other side to a Mg, then this side will be closed with ‘X'

• For Double Bond – O

• For Triple Bond- N

• If you don't connect bonds to required number of bonds of an element, rest will automatically connect with to a Hydrogen through Single bond. (Except for Mg; It will connect to a ‘X' element)


Untitled Document

Main Window

home

Organic Compounds

• Add New –

To add a new Organic Compound.

• You will be taken in to the editor window.

• You can come back by pressing the return button in the editor window.

• Edit -

To Edit an Organic Compound

• Select an existing Compound by clicking it in the canvas. (If you want to edit results, you are only allowed to edit one of the last results of compound set.)

• Click the Edit button

• You are taken into the editor window.

• You can come back by pressing the return button in the editor window.

• Caution: You can't cancel the edition you made. So please work with care.

• Delete-

To Delete an Organic Compound

• Select an existing Compound by clicking it in the canvas. (If you want to edit results, you are only allowed to edit one of the last results of compound set.)

• Click the Delete button

Inorganic Compounds / Conditions

• To add Inorganic Compounds/ Conditions to Canvas.

Click the Compound from the list.

• To drop Inorganic Compounds/ Conditions from Canvas.

Click the Compound again.

Reaction

• Start-

Start the reaction

• Add organic compounds/ Inorganic compounds /Additional Conditions for a particular reaction.

• Press start link.

• Clear Lat Result Set-

Clear Only the last result set.

• Clear All Results -

Clear all result set.

• Clear All -

Clear All. (Including the Reactance).


Untitled Document

Currently Supporting Reactions

home

List of Supporting Reactions (Inorganic Compounds + Additional Conditions)

• Alkane

• Cl 2 + hv

• Alkene

• H 2 + Pt/Pd/Ni

• Br 2 / Cl 2 / I 2 / X 2

• HBr/ HCl/ HI/ HX

• KMnO 4 + Acidic

• KMnO 4 + Basic

• H 2 SO 4 + Dilute

• Alkyne

• H 2 + Pt/Pd/Ni

• Br 2 / Cl 2 / I 2 / X 2

• HBr/ HCl/ HI/ HX

• KMnO 4 + Acidic

• KMnO 4 + Basic

• H 2 SO 4 + Dilute+Hg 2+

• Na

• AgNO 3 +NH 3

• Halide

• KOH+ Aquatic+ Alcoholic

• Mg+ Ether

• Na+ Ether

• KOH+ Aquatic

• KCN+ Aquatic+ Alcoholic

• NH 3

• Alcohols

• Na

• Carboxylic Acid+ H 2 SO 4 + Conc.

• PCl 3

• HCl + ZnCl 2 + Conc. + Nonaquatic

• Al 2 O 3

• KMnO 4 + Acidic

• Ketone

• HCN

• R- MgBr + H 3 O +

• R- NH 2 + Basic + Dilute

• Ketone/ Aldehyde +Basic + Dilute

• Basic + Conc.

• KMnO 4 + Acidic

• AgNO 3 + NH 3

• NaOH + I 2

• LiAlH 4 + Ether

• Zn + HCl + Conc

• Carboxylic Acid

• Na

• NaOH

• Alcohol + H 2 SO 4 + Conc.

• PCl 3

• KMNO 4 + Acidic

• AgNO 3 + NH 3

• LiAlH 4

• NH 3

• Amide

• NaOH+ Br 2

• H 3 O +

• NaOH/KOH

• LiAlH 4 + Ether

Reactants marked in Blue are allowed to create from the editor and paticipate to the reaction.

You can add/ edit/ delete reactions from the ‘Data/Reactions' and changing the 'Data/Reactions/index.txt' as necessary.